<?php
/*
Plugin Name: AntCheck Integration
Plugin URI: https://antcheck.info
Description: This tiny plugin enables the integration of the WooCommerce products to Antcheck
Version: 1.0.4
Requires at least: 5.0
Author: Darvin
Author URI: https://darvin.de/
License: Public Domain
License URI: https://wikipedia.org/wiki/Public_domain
Text Domain: antcheck-integration-plugin
Update URI:  https://antcheck.info/include/frontend/files/plugins/antcheck-integration-plugin-wordpress-woo/plugin-info.json
*/

// block direct access to this file
if ( !defined( 'ABSPATH' ) ) {
	http_response_code( 404 );
	die();
}

//define('WP_DEBUG', true);


// Include tiny script for updating this plugin
include_once "updater.php";


// Only run plugin WooCommerce is active (including network activated).
$plugin_path = trailingslashit( WP_PLUGIN_DIR ) . 'woocommerce/woocommerce.php';
if (in_array( $plugin_path, wp_get_active_and_valid_plugins() ) || in_array( $plugin_path, wp_get_active_network_plugins() ) ) {



	/*
	 * Display a short plugin activation message
	 */
	register_activation_hook(__FILE__, 'plugin_activation_message');
	function plugin_activation_message() {
		$activation_message = "Thanks for activating the plugin! Please navigate to Tools -> AntCheck integration to complete the installation.";
		set_transient('plugin_activation_message', $activation_message, 5); // Transient expires after 5 seconds
	}
	add_action('admin_notices', 'display_activation_message');
	function display_activation_message() {
		$activation_message = get_transient('plugin_activation_message');
		if ($activation_message) {
			echo '<div class="notice notice-success is-dismissible"><p>' . esc_html($activation_message) . '</p></div>';
			// Delete the transient to avoid displaying the message on every admin page load
			delete_transient('plugin_activation_message');
		}
	}





	/*
	 * Handle of multiple product and variations apis
	 */
	include_once "apis.php";

	/*
	 * Create a info dashboard page and add it to the admin menu under Tools.
	 */
	include_once "admin-dashboard.php";

	/*
	 * Create a settings field for the api key
	 */
	include_once "admin-settings.php";

}

